<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'tests',

    /*
     * Package.
     */
    'package'   => 'test',

    /*
     * Modules.
     */
    'modules'   => ['taxis'],

    
    'taxis'       => [
        'model' => [
            'model'                 => \Tests\Test\Models\Taxis::class,
            'table'                 => 'taxes',
            'presenter'             => \Tests\Test\Repositories\Presenter\TaxisPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['numero'],
            'translatables'         => [],
            'upload_folder'         => 'test/taxis',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Tests',
            'package'   => 'Test',
            'module'    => 'Taxis',
        ],

    ],
];
